# TdApi.SetStickerPositionInSet (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SetStickerPositionInSet

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetStickerPositionInSet

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetStickerPositionInSet

Enclosing class:
  TdApi

public static final class TdApi.SetStickerPositionInSet extends TdApi.Function<TdApi.Ok>
Changes the position of a sticker in the set to which it belongs; for bots only. The sticker set must have been created by the bot. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`position`
New position of the sticker in the set, 0-based.
`TdApi.InputFile`
`sticker`
Sticker.

## Constructor Summary

Constructors
Constructor
Description
`SetStickerPositionInSet()`
Changes the position of a sticker in the set to which it belongs; for bots only.
`SetStickerPositionInSet(TdApi.InputFile sticker, int position)`
Changes the position of a sticker in the set to which it belongs; for bots only.
`SetStickerPositionInSet(DataInput input)`
Changes the position of a sticker in the set to which it belongs; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sticker

public TdApi.InputFile sticker
Sticker.

### position

public int position
New position of the sticker in the set, 0-based.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetStickerPositionInSet

public SetStickerPositionInSet()
Changes the position of a sticker in the set to which it belongs; for bots only. The sticker set must have been created by the bot. Returns `Ok`

### SetStickerPositionInSet

public SetStickerPositionInSet(TdApi.InputFile sticker, int position)
Changes the position of a sticker in the set to which it belongs; for bots only. The sticker set must have been created by the bot. Returns `Ok`

Parameters:
  `sticker` - InputFile Sticker.
  `position` - int New position of the sticker in the set, 0-based.

### SetStickerPositionInSet

public SetStickerPositionInSet(DataInput input) throws IOException
Changes the position of a sticker in the set to which it belongs; for bots only. The sticker set must have been created by the bot. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`